Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.oai
Interface OAIRecord

All Superinterfaces:
  org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, org.xml.sax.ext.LexicalHandler, org.apache.avalon.framework.logger.LogEnabled, OAIObject, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

All Known Implementing Classes:
  OAIRecordImpl

public interface OAIRecord
extends OAIObject

Created by IntelliJ IDEA. User: rpandey Date: 18 mars 2004 Time: 16:33:12 To change this template use Options | File Templates.

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.oai.OAIObject
`OAIObject.Node`

Field Summary

Fields inherited from interface fr.gouv.culture.oai.OAIObject
`HTTP_HEADER_NAME_FROM, HTTP_HEADER_NAME_USER_AGENT, NUMBER_RECORDS_PER_RESPONSE, STRING_DATEFORMAT_GRANULARITY_DAY, STRING_DATEFORMAT_GRANULARITY_SECOND`

Method Summary
`void` | `about()`
`void` | `addSetSpec(java.lang.String setSpec)`
`void` | `datestamp()`
`org.apache.excalibur.source.Source` | `getAbout()`
`java.lang.String` | `getDatestamp()`
`java.lang.String` | `getIdentifier()`
`OAIMetadataFormat` | `getMetaDataFormat()`
`java.lang.String` | `getOAINamspace()`
`org.apache.excalibur.source.Source` | `getRecord()`
`java.util.Enumeration` | `getSetSpecs()`
`void` | `header()`
`void` | `identifier()`
`boolean` | `isDeleted()`
`void` | `metadata()`
`void` | `record()`
`void` | `setAbout(org.apache.excalibur.source.Source source)`
`void` | `setDatestamp(java.lang.String datestamp)`
`void` | `setIdentifier(java.lang.String identifier)`
`void` | `setIsDeleted(boolean isDeleted)`
`void` | `setMetadataFormat(OAIMetadataFormat format)`
`void` | `setOAINamspace(java.lang.String namespace)`
`void` | `setRecord(org.apache.excalibur.source.Source source)`
`void` | `setSetSpecs(java.util.Vector setSpecs)`
`void` | `setSpecs()`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Method Detail

### setOAINamspace

    public void setOAINamspace(java.lang.String namespace)

### getOAINamspace

    public java.lang.String getOAINamspace()

### getIdentifier

    public java.lang.String getIdentifier()

### setIdentifier

    public void setIdentifier(java.lang.String identifier)

### identifier

    public void identifier()
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getDatestamp

    public java.lang.String getDatestamp()

### setDatestamp

    public void setDatestamp(java.lang.String datestamp)

### datestamp

    public void datestamp()
                   throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### addSetSpec

    public void addSetSpec(java.lang.String setSpec)

### setSetSpecs

    public void setSetSpecs(java.util.Vector setSpecs)

### getSetSpecs

    public java.util.Enumeration getSetSpecs()

### setSpecs

    public void setSpecs()
                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### setMetadataFormat

    public void setMetadataFormat(OAIMetadataFormat format)

### getMetaDataFormat

    public OAIMetadataFormat getMetaDataFormat()

### setIsDeleted

    public void setIsDeleted(boolean isDeleted)

### isDeleted

    public boolean isDeleted()

### setRecord

    public void setRecord(org.apache.excalibur.source.Source source)

### getRecord

    public org.apache.excalibur.source.Source getRecord()

### setAbout

    public void setAbout(org.apache.excalibur.source.Source source)

### getAbout

    public org.apache.excalibur.source.Source getAbout()

### header

    public void header()
                throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### metadata

    public void metadata()
                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### about

    public void about()
               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### record

    public void record()
                throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.